import { CanvasToolSettings, ToolConfig } from "./base-canvas-tool";
import { CanvasToolType } from "../enums/canvas-tool-type";
import { PointerPosition } from "../interfaces/pointer-position";
export interface CanvasDrawTool {
    dispose: () => void;
    drawStrokes: (strokes: CanvasDrawToolSettings[]) => void;
    initialize: () => void;
    toolType: CanvasToolType;
}
export interface CanvasDrawToolSettings extends CanvasToolSettings {
    stroke: string;
    strokeWidth: number;
}
export interface DrawToolUiSettings {
    color: string;
    width: number;
}
export interface DrawToolConfig extends ToolConfig {
    onFinishStroke: (strokeSettings: CanvasDrawToolSettings) => void;
    uiSettings: DrawToolUiSettings;
}
declare class BaseCanvasDrawTool {
    protected _canvas: HTMLCanvasElement;
    protected _color: string;
    protected _config: DrawToolConfig;
    protected _context: CanvasRenderingContext2D;
    protected _currentPosition: PointerPosition;
    protected _isPointerActive: boolean;
    protected _previousPosition: PointerPosition;
    protected _uiSettings: DrawToolUiSettings;
    protected _width: number;
    constructor(config: DrawToolConfig);
    protected _onFinishStroke(strokeSettings: CanvasDrawToolSettings): void;
}
export { BaseCanvasDrawTool };
