import { CanvasToolType } from "../enums/canvas-tool-type";
export interface ImageSettings {
    destRecEndX?: number;
    destRecEndY?: number;
    destRecStartX?: number;
    destRecStartY?: number;
    src: string;
}
export interface ImageConfig {
    canvas: HTMLCanvasElement;
    context: CanvasRenderingContext2D;
}
declare class ImageCanvasTool {
    toolType: CanvasToolType;
    private _config;
    private _shouldCenterInDestRectangle;
    private _shouldFitInCanvas;
    private _shouldScaleToFitDestRectangle;
    constructor(config: ImageConfig);
    dispose(): void;
    drawImages(images: ImageSettings[]): void;
    drawImage(image: ImageSettings): void;
    initialize(): void;
    setShouldCenterInDestRectangle(shouldCenterInDestRectangle: boolean): void;
    setShouldFitInCanvas(shouldFitInCanvas: boolean): void;
    setShouldScaleToFitDestRectangle(shouldScaleToFitDestRectangle: boolean): void;
    private _drawImage;
}
export { ImageCanvasTool };
